import { OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { Environment } from '@rxap/environment';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export interface DataSourceLikeForErrorHandling {
    refresh?: () => void;
    retry?: () => void;
    reset?: () => void;
    loading?: Observable<boolean> | boolean;
    loading$?: Observable<boolean>;
    error$?: Observable<unknown>;
    error?: Observable<unknown> | unknown | null;
}
export declare class DataSourceErrorComponent implements OnChanges, OnInit, OnDestroy {
    private readonly environment;
    error?: unknown | null | Observable<unknown>;
    refresh?: () => void;
    retry?: () => void;
    reset?: () => void;
    set dataSourceLike(value: DataSourceLikeForErrorHandling);
    loading?: Observable<boolean> | boolean;
    isNotRelease: boolean;
    errorMessage: import("@angular/core").WritableSignal<string>;
    retryInProgress: import("@angular/core").WritableSignal<boolean>;
    resetInProgress: import("@angular/core").WritableSignal<boolean>;
    private _subscription?;
    constructor(environment: Environment);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    ngOnInit(): void;
    triggerRetry(): void;
    triggerReset(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataSourceErrorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DataSourceErrorComponent, "rxap-data-source-error", never, { "error": { "alias": "error"; "required": false; }; "refresh": { "alias": "refresh"; "required": false; }; "retry": { "alias": "retry"; "required": false; }; "reset": { "alias": "reset"; "required": false; }; "dataSourceLike": { "alias": "dataSourceLike"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; }, {}, never, never, true, never>;
}
